Unable to open probes. getting error "Cannot create CNimPackageEditor (1)"

Document ID : KB000008878
Last Modified Date : 04/02/2019
Show Technical Document Details
Issue:

I have been able to login to the IM we have configured,
however when I try to open a probe, such as controller,
Net_connect etc, I get the error "Cannot create CNimPackageEditor (1)".
This is being run from my local workstation, windows 10.

I have installed vcredist_x86.exe and vcredist_x64.exe (2008 version),
restarted my PC, but still getting the same error.

IMPORTANT NOTE: The Visual C++ 2008 version of vcredist_x86.exe and vcredist_x64.exe is a requirement. The other Visual C++ versions (2012, 2017, etc.) will not work.

Environment:
UIM 8.51
Infrastructure Manager 4.10
Windows 10
Cause:

Problem with the infrastructure manager installation.

 

Resolution:

Steps to correct:

  1. Uninstall Infrastructure manager the problem machine
  2. Uninstall the SOAP-runtime-TK3
  3. Make sure to delete the nimsoft folder
  4. Restart your system
  5. Login with local administrator rights
  6. Download the latest IM install:   http://nmscdn.nimsoft.com/CAUIM_8.5.1-GA/NimBUS Manager.exe
  7. Disable any antivirus
  8. Right client and run as administrator to install it
  9. Test the new installation.

IMPORTANT NOTE: The Visual C++ 2008 version of vcredist_x86.exe and vcredist_x64.exe is a requirement. The other Visual C++ versions (2012, 2017, etc.) will not work.